uses sysutils;

const
  n = 500000;
  c = 2;
  r = 0;

var
  i: integer;
  s,s1: string;

begin
  s := '';
  for i:=1 to n do s := s + inttostr(random(2));
  s1 := '';
  for i:=1 to c do s1:=s1+s;
  for i:=1 to r do s1 := s1 + s[i];
  writeln(s1);
end.
